---
title: ':nth-last-col'
slug: 'Web/CSS/:nth-last-col'
---
<p>{{CSSRef}}{{SeeCompatTable}}</p>

<p>The <strong><code>:nth-last-col()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is designed for tables and grids. It accepts the An+B notation such as used with the {{Cssxref(":nth-child")}} selector, using this to target every nth column before it, therefore counting back from the end of the set of columns. The values odd and even are also valid. </p>

<pre class="brush: css notranslate">/* Selects every odd column in a table */
:nth-last-col(odd) {
  background-color: pink;
}</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>nth-last-col</code> pseudo-class is specified with a single argument, which represents the pattern for matching elements.</p>

<p>See {{Cssxref(":nth-child")}} for a more detailed explanation of its syntax.</p>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;table&gt;
  &lt;tr&gt;
    &lt;td&gt;one&lt;/td&gt;
    &lt;td&gt;two&lt;/td&gt;
    &lt;td&gt;three&lt;/td&gt;
    &lt;td&gt;four&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
  &lt;td&gt;one&lt;/td&gt;
    &lt;td&gt;two&lt;/td&gt;
    &lt;td&gt;three&lt;/td&gt;
    &lt;td&gt;four&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">td {
  border: 1px solid #ccc;
  padding: .2em;
}

/* Odd columns starting with the final column of the table */
:nth-last-col(2n+1) {
  background-color: pink;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Basic_example', 250, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table>
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#the-nth-last-col-pseudo', ':nth-last-col')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.selectors.nth-last-col")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref(":nth-child")}}, {{Cssxref(":nth-last-of-type")}}</li>
</ul>
